Get User Profile
GET
/auth/profile
const url = 'https://example.com/auth/profile';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/auth/profileGet the full user profile including all registration data
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UserProfileResponse
object
user_id
required
User Id
string
email
required
Email
string
email_verified
required
Email Verified
boolean
registration_completed
required
Registration Completed
boolean
Examplegenerated
{ "user_id": "example", "email": "example", "name": "example", "surname": "example", "global_tier": "example", "experience_level": "example", "languages": [ "example" ], "company_name": "example", "email_verified": true, "registration_completed": true, "password_expires_in_days": 1}